Retrieve all VICAL signers
Roles
Analytics Events
/v1/ecosystems/certificates/vical-signersRetrieves all VICAL signers.
Analytic events
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_START
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/certificates/vical-signers"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3", "intermediateCaId": "c04f6eaa-7183-4dfc-a249-59f9e8b2ddde" } ], "nextCursor": "string"}How would you rate this page?
Create a VICAL signer POST
Creates a VICAL signer. - Only available in implementations using unmanaged (external) DTS root CA certificates. - A maximum of five VICAL signers can be created per tenant. ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_FAIL
Retrieve a VICAL signer GET
Retrieves a VICAL signer. ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL